<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#7F00FF" ALINK="#FF0000">

<P><!-------TITLE------></P>

<TABLE BORDER="0" WIDTH="100%">
    <TR>
        <TD ALIGN="left">
			<A HREF="http://www.esrf.fr/" TARGET=new>
			<IMG SRC="http://www.esrf.fr/gifs/logo/80.gif" BORDER=0 Height="60"></A>
		</Td>
        <TD ALIGN="center">
			<A HREF="http://www.elettra.trieste.it/" TARGET=new>
			<IMG SRC="http://www.esrf.fr/computing/cs/tango/elettra_logo.gif" BORDER=0 Height="60"></A>

		</Td>
        <TD ALIGN="center">
			<A HREF="http://www.synchrotron-soleil.fr/" TARGET=new>
			<IMG SRC="http://www.esrf.fr/computing/cs/tango/soleil_logo.gif" BORDER=0 Height="60"></A>
		</Td>
        <TD ALIGN="right">
			<A HREF="http://www.cells.es/" TARGET=new>
			<IMG SRC="http://www.esrf.fr/computing/cs/tango/alba.jpg" BORDER=0 Height="54"></A>
		</Td>
        <TD ALIGN="right">
			<A HREF="http://www.desy.de/html/home/index_eng.html" TARGET=new>
			<IMG SRC="http://www.esrf.fr/computing/cs/tango/desy.gif" BORDER=0 Height="60"></A>
		</Td>
    	 <Td>
			<H2><FONT COLOR="#7F00FF">
			<Center><A HREF="http://www.tango-controls.org/" TARGET="_top">
					 TANGO </a> <Br> Device Server
			</Center></FONT>
		</Td>
    </TR>
</TABLE>

<HR WIDTH="100%"></H5>
<Br>
<center>
<h1>
Keithley2182A Class		<Br>
Device Commands Description 		<Br> <Br>
Keithley2182A Class	<Br>
</h1>
<b>
Revision:  - Author: sebastien.gara
</b>
</center>


<Br>
<Br>
<Br>
<A NAME="Init"><!-- --></A>
<A NAME="Init"><!-- --></A>
<h2>1 - Init</h2>
<ul>
<Li><Strong>Description: </Strong> This commands re-initialise a device keeping the same network connection.<Br>
After an Init command executed on a device, it is not necessary for client to re-connect to the device.<Br>
This command first calls the device <i> delete_device() </i>method and then execute its <i> init_device()</i> method.<Br>
For C++ device server, all the memory allocated in the <i> nit_device() </i> method must be freed in the <i> delete_device() </i> method.<Br>
The language device desctructor automatically calls the <i> delete_device() </i> method.<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : none.<Br>&nbsp
<Li><Strong>Argout:<Br>DEV_VOID</Strong>
 : none.<Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
<Li>Tango::FAULT<Li>Tango::RUNNING<Li>Tango::ALARM</Ul>
<Br>&nbsp
</ul><Br>
<Br>
<A NAME="State"><!-- --></A>
<A NAME="State"><!-- --></A>
<h2>2 - State</h2>
<ul>
<Li><Strong>Description: </Strong> This command gets the device state (stored in its <i>device_state</i> data member) and returns it to the caller.<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : none.<Br>&nbsp
<Li><Strong>Argout:<Br>DEV_STATE</Strong>
 : State Code<Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
<Li>Tango::FAULT<Li>Tango::RUNNING<Li>Tango::ALARM</Ul>
<Br>&nbsp
</ul><Br>
<Br>
<A NAME="Status"><!-- --></A>
<A NAME="Status"><!-- --></A>
<h2>3 - Status</h2>
<ul>
<Li><Strong>Description: </Strong> This command gets the device status (stored in its <i>device_status</i> data member) and returns it to the caller.<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : none.<Br>&nbsp
<Li><Strong>Argout:<Br>CONST_DEV_STRING</Strong>
 : Status description<Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
<Li>Tango::FAULT<Li>Tango::RUNNING<Li>Tango::ALARM</Ul>
<Br>&nbsp
</ul><Br>
<Br>
<A NAME="SelectCH1"><!-- --></A>
<A NAME="SelectCH1"><!-- --></A>
<h2>4 - SelectCH1</h2>
<ul>
<Li><Strong>Description: </Strong> This command allows to select the channel 1 for the acquisition<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : <Br>&nbsp
<Li><Strong>Argout:<Br>DEV_VOID</Strong>
 : <Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
<Li>Tango::FAULT<Li>Tango::RUNNING<Li>Tango::ALARM</Ul>
<Br>&nbsp
</ul><Br>
<Br>
<A NAME="SelectCH2"><!-- --></A>
<A NAME="SelectCH2"><!-- --></A>
<h2>5 - SelectCH2</h2>
<ul>
<Li><Strong>Description: </Strong> This command allows to select the channel 2 for the acquisition<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : <Br>&nbsp
<Li><Strong>Argout:<Br>DEV_VOID</Strong>
 : <Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
<Li>Tango::FAULT<Li>Tango::RUNNING<Li>Tango::ALARM</Ul>
<Br>&nbsp
</ul><Br>
<Br>
<A NAME="AutoRangeON"><!-- --></A>
<A NAME="AutoRangeON"><!-- --></A>
<h2>6 - AutoRangeON</h2>
<ul>
<Li><Strong>Description: </Strong> This command sets the autorange for the current channel<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : <Br>&nbsp
<Li><Strong>Argout:<Br>DEV_VOID</Strong>
 : <Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
<Li>Tango::FAULT<Li>Tango::RUNNING<Li>Tango::ALARM</Ul>
<Br>&nbsp
</ul><Br>
<Br>
<A NAME="AutoRangeOFF"><!-- --></A>
<A NAME="AutoRangeOFF"><!-- --></A>
<h2>7 - AutoRangeOFF</h2>
<ul>
<Li><Strong>Description: </Strong> This command unsets the autorange for the current channel<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : <Br>&nbsp
<Li><Strong>Argout:<Br>DEV_VOID</Strong>
 : <Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
<Li>Tango::FAULT<Li>Tango::RUNNING<Li>Tango::ALARM</Ul>
<Br>&nbsp
</ul><Br>
<Br>
<A NAME="RangeUP"><!-- --></A>
<A NAME="RangeUP"><!-- --></A>
<h2>8 - RangeUP</h2>
<ul>
<Li><Strong>Description: </Strong> This command sets the upper range for the current channel<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : <Br>&nbsp
<Li><Strong>Argout:<Br>DEV_VOID</Strong>
 : <Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
<Li>Tango::FAULT<Li>Tango::RUNNING<Li>Tango::ALARM</Ul>
<Br>&nbsp
</ul><Br>
<Br>
<A NAME="RangeDOWN"><!-- --></A>
<A NAME="RangeDOWN"><!-- --></A>
<h2>9 - RangeDOWN</h2>
<ul>
<Li><Strong>Description: </Strong> This command sets the lower range for the current channel<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : <Br>&nbsp
<Li><Strong>Argout:<Br>DEV_VOID</Strong>
 : <Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
<Li>Tango::FAULT<Li>Tango::RUNNING<Li>Tango::ALARM</Ul>
<Br>&nbsp
</ul><Br>
<Br>
<A NAME="GetRange"><!-- --></A>
<A NAME="GetRange"><!-- --></A>
<h2>10 - GetRange</h2>
<ul>
<Li><Strong>Description: </Strong> This command returns the the current range<Br>&nbsp
<Li><Strong>Argin:<Br>DEV_VOID</Strong>
 : <Br>&nbsp
<Li><Strong>Argout:<Br>DEV_STRING</Strong>
 : Range value<Br>&nbsp
<Li><Strong>Command allowed for: </Strong><Ul>
<Li>Tango::FAULT<Li>Tango::RUNNING<Li>Tango::ALARM</Ul>
<Br>&nbsp
</ul><Br>
<Br>

<!--- html Footer --->

<Center>
<Font size=-1>
<br>
<br>
<TABLE BORDER="1" WIDTH="100%">
    <Tr>
		<!--- Hosted by Sourceforge --->
        <Td Align="Center">
			<Font size=-1>
			<b>TANGO</b> is an open source project hosted by :<br>
			<A href="http://sourceforge.net" Target="new">
					<IMG title="Sourceforge logo"
						alt="Sourceforge logo small"
						src="http://www.esrf.fr/computing/cs/tango/sourceforge.gif"
						border=0> </a>
			</Font>
		</Td>
		<!--- 2 Sourceforge Repositories --->
		<Td Align="Center">
			<Font size=-1>
			Core and Tools :
			<a href="http://tango-cs.cvs.sourceforge.net/tango-cs/" Target="new">
			CVS repository</a> on
			<a href="https://sourceforge.net/projects/tango-cs" Target=new>
			tango-cs project</a>

			<br>

			Device Servers :
			<a href="http://tango-ds.cvs.sourceforge.net/tango-ds/" Target="new">
					CVS repository</a> on
			<a href="https://sourceforge.net/projects/tango-ds" Target=new>
					tango-ds project</a>
			</Font>
		</Td>
    </Tr>
</Table>
</Font>
</Center>
</body>
</html>
